List shelf versions
curl --request GET \
--url https://api.shelv.dev/v1/shelves/{id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shelv.dev/v1/shelves/{id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/shelves/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/shelves/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"fileCount": 123,
"pageCount": 123,
"publicId": "<string>",
"shelfPublicId": "<string>",
"source": "initial",
"storageSizeBytes": 123,
"versionNumber": 123
}
],
"pagination": {
"limit": 123,
"page": 123,
"total": 123,
"totalPages": 123
}
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Shelves
List shelf versions
List all versions for a shelf, ordered by version number descending.
GET
/
v1
/
shelves
/
{id}
/
versions
List shelf versions
curl --request GET \
--url https://api.shelv.dev/v1/shelves/{id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shelv.dev/v1/shelves/{id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/shelves/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shelv.dev/v1/shelves/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"fileCount": 123,
"pageCount": 123,
"publicId": "<string>",
"shelfPublicId": "<string>",
"source": "initial",
"storageSizeBytes": 123,
"versionNumber": 123
}
],
"pagination": {
"limit": 123,
"page": 123,
"total": 123,
"totalPages": 123
}
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^shf_[0-9a-f]{24}$